/*******************************************************\
{                                                       }
{       Microsoft Visual C++ Version 5.X                }
{       Time_Date_Edit Controls 1.0                     }
{                                                       }
{       Copyright (C) 1999, CAT Computing Center (R).   }
{                                                       }
\*******************************************************/

#define	TDS_HIDESPIN	0x0020L
#define	TDS_SMARTSIZE	0x0040L
#define	TDS_READONLY	0x0800L

#define	TDS_NUMVALUE	0x0100L
#define	TDS_STRVALUE	0x0200L

#define	TDS_TIME		0x0000L
#define	TDS_DATE		0x0001L
#define	TDS_FULL		0x0010L
#define	TDS_FULLTIME	0x0010L
#define	TDS_FULLDATE	0x0011L


#define	TDM_CHANGESTYLE	WM_USER + 0x0102

#define	TDM_SETDATA		WM_USER + 0x0103
#define	TDM_GETDATA		WM_USER + 0x0104

#define	TDM_SETRANGE	WM_USER + 0x0105
#define	TDM_GETRANGE	WM_USER + 0x0106

#define	TDM_SETPOS		WM_USER + 0x0107
#define	TDM_GETPOS		WM_USER + 0x0108

//#define	TDM_SETACTIVEEDIT	WM_USER + 0x0109
//#define	TDM_GEACTIVEEDIT	WM_USER + 0x010a

#define	TDM_SETTEXT		WM_USER + 0x010b
#define	TDM_GETTEXT		WM_USER + 0x010c

//#define	TDM_CHANGEEDIT	WM_USER + 0x010d


#define	TDN_CHANGEPOS	WM_USER + 0x0101
#define	TDN_CHANGEDATA	WM_USER + 0x0102
//#define	TDN_CHANGEEDIT	WM_USER + 0x0102

/*
typedef struct _NM_CHANGEEDIT
{
    NMHDR hdr;
    int iNum;
} CHANGEEDIT, FAR *LPCHANGEEDIT;
*/

typedef struct tagTDEDATA
{
	tagTDEDATA()
	{
		memset(this, 0, sizeof(tagTDEDATA));
	}
	~tagTDEDATA()
	{
		if(IsWindow(hEdit1))
			DestroyWindow(hEdit1);
		if(IsWindow(hEdit2))
			DestroyWindow(hEdit2);
		if(IsWindow(hEdit3))
			DestroyWindow(hEdit3);
		if(IsWindow(hSpin))
			DestroyWindow(hSpin);
	}
	
	HWND hEdit1;
	HWND hEdit2;
	HWND hEdit3;
	RECT Rect1;
	RECT Rect2;
	HWND hSpin;
} TDEDATA, * LPTDEDATA;

